# Carpy Breakout

This project depends on [SDL2][2]. This library should be available
for nearly any system you can find.

* Debian - libsdl2-dev
* pkgsrc - devel/SDL2

Then simply run `make` to build.

Launch the game with `./carpy-breakout`.

Press `F` to toggle fullscreen.

Press `L` to toggle wireframe mode.

Press `K` to toggle freelook mode.

## Coordinate System

For the code, I was using the right-hand rule (turned around) for the
3d coordinates. If you were looking straight ahead, forward is
-Z, right is +X, and up is +Y.

## Why "Carpy"?

Because it's a funny misspelling of "Crappy". This was originally
going to be a bad, crappy game for me to learn Golang and re-learn SDL
and OpenGL stuff. It ended up being a bit nicer than I expected.

## License/Copyright

This project is licensed under the [2-Clause BSD License][1], a
permissive open source license. Essentially you can use this code for
any purpose so long as you acknowledge me for creating it. You can
find the full text in `License.md`.

Another file called `Attribution.md` contains links to the other
projects used to build this one.


[1]: https://opensource.org/licenses/BSD-2-Clause
[2]: https://www.libsdl.org/
