package breakout

import "git.wisellama.rocks/Wisellama/carpy-breakout/pkg/globject"

type Paddle struct {
	Box *globject.Box
}

func (self *Paddle) Update() {
	self.Box.Update()
}

func (self *Paddle) GLDraw() {
	self.Box.GLDraw()
}

func (self *Paddle) GLInit(glProgram uint32) {
	self.Box.GLInit(glProgram)
}

func (self *Paddle) ToggleWireframe() {
	self.Box.ToggleWireframe()
}

func (self *Paddle) GetAABB() *globject.AABB {
	return self.Box.GetAABB()
}

func NewPaddle(box *globject.Box) *Paddle {
	paddle := Paddle{
		Box: box,
	}

	return &paddle
}
