package globject

type Triangle struct {
	Vertices []*Vertex
}

func NewTriangle(a, b, c *Vertex) *Triangle {
	triangle := Triangle{
		Vertices: []*Vertex{a, b, c},
	}

	return &triangle
}

func (t *Triangle) GetVertexArray() []float32 {
	a := make([]float32, 3*VertexSize)
	i := 0

	for _, vertex := range t.Vertices {
		va := vertex.GetVertexArray()
		for _, v := range va {
			a[i] = v
			i++
		}
	}

	return a
}
